Manifest-Version: 1.0
Bnd-LastModified: 1611869814666
Bundle-ManifestVersion: 2
Bundle-Name: Liferay SAML Implementation
Bundle-SymbolicName: com.liferay.saml.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.19
Created-By: 1.8.0_221 (Oracle Corporation)
Import-Package: com.liferay.petra.string;version="[1.4,2)",com.liferay
 .portal.configuration.metatype.bnd.util;version="[2.0,3)",com.liferay
 .portal.kernel.configuration;version="[6.3,7)",com.liferay.portal.ker
 nel.events;version="[6.3,7)",com.liferay.portal.kernel.exception;vers
 ion="[9.3,10)",com.liferay.portal.kernel.log;version="[7.0,8)",com.li
 feray.portal.kernel.messaging;version="[9.1,10)",com.liferay.portal.k
 ernel.model;version="[5.6,6)",com.liferay.portal.kernel.module.framew
 ork;version="[1.4,2)",com.liferay.portal.kernel.resource.bundle;versi
 on="[1.0,2)",com.liferay.portal.kernel.scheduler;version="[9.1,10)",c
 om.liferay.portal.kernel.security.auth;version="[2.4,3)",com.liferay.
 portal.kernel.security.auto.login;version="[2.0,3)",com.liferay.porta
 l.kernel.service;version="[4.8,5)",com.liferay.portal.kernel.servlet;
 version="[8.4,9)",com.liferay.portal.kernel.settings.definition;versi
 on="[1.0,2)",com.liferay.portal.kernel.struts;version="[8.0,9)",com.l
 iferay.portal.kernel.upgrade;version="[8.5,9)",com.liferay.portal.ker
 nel.util;version="[10.16,11)",com.liferay.portal.upgrade.registry;ver
 sion="[3.0,4)",com.liferay.saml.persistence.model;version="[2.2,3)",c
 om.liferay.saml.persistence.service;version="[2.2,3)",com.liferay.sam
 l.runtime.configuration;version="[4.0,5)",com.liferay.saml.runtime.se
 rvlet.profile;version="[1.0,2)",com.liferay.saml.util;version="[2.1,3
 )",javax.portlet,javax.servlet,javax.servlet.http,org.osgi.service.cm
 ;version="[1.5,2)"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Connector to SAML 2.0
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Security
Liferay-Releng-Deprecated: false
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: false
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: false
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.saml.runtime.internal.auto.login,com.life
 ray.saml.runtime.internal.configuration,com.liferay.saml.runtime.inte
 rnal.constants,com.liferay.saml.runtime.internal.events,com.liferay.s
 aml.runtime.internal.messaging,com.liferay.saml.runtime.internal.serv
 let.filter,com.liferay.saml.runtime.internal.settings.definition,com.
 liferay.saml.runtime.internal.upgrade,com.liferay.saml.runtime.intern
 al.upgrade.v1_0_0,content
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.events.LifecycleAction";uses:="com.liferay.portal.kern
 el.events",osgi.service;objectClass:List<String>="com.liferay.portal.
 kernel.security.auto.login.AutoLogin";uses:="com.liferay.portal.kerne
 l.security.auto.login",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.settings.definition.ConfigurationBeanDeclaration";
 uses:="com.liferay.portal.kernel.settings.definition",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeSt
 epRegistrator,com.liferay.saml.runtime.internal.upgrade.SamlImplUpgra
 de";uses:="com.liferay.portal.upgrade.registry,com.liferay.saml.runti
 me.internal.upgrade",osgi.service;objectClass:List<String>="com.lifer
 ay.saml.runtime.configuration.SamlProviderConfigurationHelper,org.osg
 i.service.cm.ManagedServiceFactory";uses:="com.liferay.saml.runtime.c
 onfiguration,org.osgi.service.cm",osgi.service;objectClass:List<Strin
 g>="com.liferay.saml.runtime.internal.messaging.SamlIdpSsoSessionMess
 ageListener";uses:="com.liferay.saml.runtime.internal.messaging",osgi
 .service;objectClass:List<String>="com.liferay.saml.runtime.internal.
 messaging.SamlMetadataMessageListener";uses:="com.liferay.saml.runtim
 e.internal.messaging",osgi.service;objectClass:List<String>="com.life
 ray.saml.runtime.internal.messaging.SamlSpAuthRequestMessageListener"
 ;uses:="com.liferay.saml.runtime.internal.messaging",osgi.service;obj
 ectClass:List<String>="com.liferay.saml.runtime.internal.messaging.Sa
 mlSpMessageMessageListener";uses:="com.liferay.saml.runtime.internal.
 messaging",osgi.service;objectClass:List<String>="javax.servlet.Filte
 r";uses:="javax.servlet",liferay.resource.bundle;bundle.symbolic.name
 ="com.liferay.saml.impl";resource.bundle.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.framework.ModuleServiceLife
 cycle)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.resource.bundle.ResourceBundleLoader)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.sc
 heduler.SchedulerEngineHelper)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.scheduler.TriggerFactory)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.CompanyLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.UserLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.util.Html)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.util.Portal)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.
 PrefsProps)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.util.Props)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.saml.persistence.service.SamlIdpSpCon
 nectionLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.saml.persistence.service.SamlIdpSsoSessionLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.saml.persistence.service.SamlSpAuthRequestLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.saml.persisten
 ce.service.SamlSpIdpConnectionLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.saml.persistence.service.Sam
 lSpMessageLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.saml.persistence.service.SamlSpSessionLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .saml.runtime.configuration.SamlProviderConfigurationHelper)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.saml.runtim
 e.servlet.profile.SingleLogoutProfile)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.saml.runtime.servlet.profile.WebS
 soProfile)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.saml.util.SamlHttpRequestUtil)";effective:=active,osgi.servic
 e;filter:="(objectClass=org.osgi.service.cm.ConfigurationAdmin)";effe
 ctive:=active,osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osg
 i.contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=
 JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",o
 sgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.saml.runtime.internal.auto.log
 in.SamlSpAutoLogin.xml,OSGI-INF/com.liferay.saml.runtime.internal.aut
 o.login.WebSsoAutoLogin.xml,OSGI-INF/com.liferay.saml.runtime.interna
 l.configuration.SamlProviderConfigurationHelperImpl.xml,OSGI-INF/com.
 liferay.saml.runtime.internal.events.SamlSpSessionDestroyAction.xml,O
 SGI-INF/com.liferay.saml.runtime.internal.messaging.SamlIdpSsoSession
 MessageListener.xml,OSGI-INF/com.liferay.saml.runtime.internal.messag
 ing.SamlMetadataMessageListener.xml,OSGI-INF/com.liferay.saml.runtime
 .internal.messaging.SamlSpAuthRequestMessageListener.xml,OSGI-INF/com
 .liferay.saml.runtime.internal.messaging.SamlSpMessageMessageListener
 .xml,OSGI-INF/com.liferay.saml.runtime.internal.servlet.filter.SamlId
 pSsoFilter.xml,OSGI-INF/com.liferay.saml.runtime.internal.servlet.fil
 ter.SamlSameSiteLaxCookiesFilter.xml,OSGI-INF/com.liferay.saml.runtim
 e.internal.servlet.filter.SamlSpSsoFilter.xml,OSGI-INF/com.liferay.sa
 ml.runtime.internal.settings.definition.SamlProviderCompanyServiceCon
 figurationBeanDeclaration.xml,OSGI-INF/com.liferay.saml.runtime.inter
 nal.upgrade.SamlImplUpgrade.xml
Tool: Bnd-4.3.0.201909301554

